Archivos de la categoría ‘Iceweasel’

En Firefox 4 han cambiado bastantes cosas respecto a las versiones 3.x. Una de ellas ha sido reemplazar los típicos menús de “Archivo, editar,…” por un solo botón.

Pues bien, ahora podemos cambiar ese botón con el texto “Firefox” (o “Iceweasel” en el caso de Debian), por un iconito. Para ello, y como nos cuentan en el blog del desarrollador de Iceweasel deberemos añadir las siguientes líneas al archivo userChrome.css dentro de la carpeta Chrome, que se encuentra en nuestro perfil de Iceweasel/Firefox:

#appmenu-toolbar-button {
  list-style-image: url("chrome://branding/content/icon16.png");
}
#appmenu-toolbar-button > .toolbarbutton-text,
#appmenu-toolbar-button > .toolbarbutton-menu-dropmarker {
  display: none !important;
}

Por cierto que en ese mismo blog viene cómo hacer la instalación de Iceweasel 4 en Debian. Para los que os dé pereza abrir el enlace os lo digo aquí. Hay que agregar al sources.list la siguiente línea:

deb http://mozilla.debian.net/ experimental iceweasel-4.0

e instalar/actualizar Iceweasel como os resulte más cómodo:  Synaptic, Aptitude o apt-get.

Por cierto, feliz año xD

Los desarrolladores de Iceweasel se lo están currando de lo lindo, y ya podemos actualizar nuestra versión de Iceweasel a la 4.0 beta 1. Y obviamente, siendo una beta, no podemos esperar de ella un comportamiento perfecto. Muchas extensiones, sin ir más lejos, aún no están soportadas.

Por eso han dejado un truquillo para probar esta 4.0 sin necesidad de instalar.

  • Instalar xulrunner-1.9.2,
  • Descargar el paquete de Iceweasel (no instalar)
  • Ejecutar el siguiente comando: dpkg-deb -x iceweasel_4.0b1-0_*.deb /algún/directorio,
  • Crear un link simbólico: ln -s /usr/lib/xulrunner-2.0 /algún/directorio/usr/lib.
  • Ejecuta Iceweasel beta con /algún/directorio/usr/bin/iceweasel.

Si por el contrario somos valientes, como yo : D , y queremos actualizar directamente y sin mariconadas, añadiremos lo siguiente a nuestros repositorios en el sources.list:

deb http://mozilla.debian.net/packages/ ./

La verdad que va bastante bien, aunque aún quedan cosas por pulir, como dicen en la página oficial. Por ejemplo, aparte de la ya mencionada incompatibilidad aún con algunas extensiones, de momento en esta beta sólo está disponible el inglés, aunque tampoco debiera incomodarnos demasiado.

Actualización: Noctuido ha dejado el enlace para descargar el pack en español en los comentarios.

Hace unos días que Adobe anunció la paralización (¿momentánea?) del desarrollo de Flash en 64 bits en la única plataforma donde funcionaba: GNU/Linux. Con los problemas de seguridad de la versión 10.0.45 y  con ello la obligada actualización a la versión 10.1, los usuarios de Flash 64 bits nos hemos quedado con el culo al aire. Sin ir más lejos, en Debian, si nos actualizamos a la actual versión de Sid del paquete flashplugin-nonfree, será inutilizable para la arquitectura amd64, tal y como informa el utilísimo paquete apt-listbugs. ¿Qué hacer? La solución viene por el camino de usar Flash 32 bits, mediante unos sencillos pasos:

  • Editar el /etc/apt/sources.list metiendo añadiéndole el repositorio de debian-multimedia.

deb http://www.debian-multimedia.org testing main non-free deb http://www.debian-multimedia.org sid main non-free

  • Actualizar repositorios e instalar el paquete debian-multimedia-keyring, por el asunto de las firmas.
  • Instalar el paquete flashplayer-mozilla, en cuya operación desinstalará otros paquetes de flash previamente instalados, como el flashplugin-nonfree, e instalará otros necesarios para el apaño de flash32 en un navegador de 64 bits, como es el nspluginwrapper.

Otra alternativa es seguir de cerca el proyecto gnash, así como estar antentos a la bendita evolución de HTML5. Adobe ha decidido, como empresa que es, hacer lo que les da la gana (en su pleno derecho están) y dejar de dar soporte a Flash 64 bits en GNU/Linux. Cuando me pregunten por qué es mejor el Software mantenido por la comunidad VS el propietario, les comentaré este caso.

Pues sí, lo hice. No hacía ni dos semanas que decía aquí que mi cliente de correo era Thunderbird y que por mucho encanto Qt que tuviera KMail no me iba a desprender de la aplicación Mozillera, cuando caí.

A mí la integración me atrae mucho. Ojalá todos los programas que usara fueran KDErianos. Y ojalá que fueran Gnomeros si éste fuera mi entorno. Por tanto, decidí darle otra oportunidad a KMail… y parece que la ha sabido aprovechar.

Pros

Por supuesto la ventaja más importante es la de la integración. Se ve realmente bien. Mejor que el Thunderbird/Icedove.

Me quejaba de un demonio al arranque, como era exim4. El caso es que ha desaparecido como dependencia. Si instalas KMail ya no te pide ese paquete también. Punto a su favor sin duda (qué pasa, sí, soy un histérico y quiero empezar con lo mínimo en el arranque : )).

Contras

Akonadi: KMail es parte del escritorio KDE y como tal se coordina con otras aplicaciones de éste. Si ejecutamos KMail va a necesitar Akonadi. lo que conlleva unos 50 MB de Ram si sólo necesitas contactos y no te hacen falta calendarios etcétera.

Konqueror, Rekonq, Arora…

Y en pos de esa totalidad de programas K y seguir expandiendo sus horizontes e seguido investigando. Ya sólo me queda Openoffice (difícil, porque KOffice va aún bastante por detrás), Synaptic (insustituible), Wicd (el network-manager de KDE se me desconecta continuamente) y… Firefox/Iceweasel. (más…)

Me gustaría tener todo escrito en “lenguaje KDE”, es decir, en Qt. Sin embargo, y como voy a comentar a continuación, esto no siempre me es posible. Éstas son las aplicaciones Gnome que sobreviven en mi entorno KDE:

Firefox (o Iceweasel)

Sin duda, para mí, es imprescindible. Aunque ojo, cada vez menos. Chromium viene fuerte. Tiene ya muchas extensiones y poco a poco mi querido Firefox se va quedando sin argumentos. Aunque el más importante que tiene ya lo he dicho: es “mi querido Firefox”.

Ah, y Konqueror me encanta, pero no se lleva bien con el scroll de mi Touchpad. Una lástima, aunque no lo pierdo de vista ni mucho menos. Tampoco a Arora, aunque éste lo veo más alejado.

Thunderbird (o Icedove)

Siguiendo con la otra aplicación importante en todo PC, la del correo, me encuentro con otro producto de Mozilla, Thunderbird. KMail está muy bien, sí, pero conlleva la instalación de mucha paquetería así como de un demonio al arranque, exim4, que Thunderbird no posee. Total, que me quedo, de momento, con Thunderbird.

Wicd

Wicd nunca me falla. Eso, unido a que el Network Manager de KDE aún está en pañales y me falla más que una escopeta de feria, hace que siga teniendo que tirar de esta maravillosa aplicación de gestión de redes llamada Wicd.

OpenOffice.org

Pues sí, el emergente KOffice cada vez está más de moda. Pero no es lo mismo. OOo es, sin duda, la aplicación que más necesito de GTK.

Eso es todo. Soy de KDE, pero Gnome tiene unas aplicaciones de las que aún no me he conseguido desprender por una u otra razón. Eso sí, para que se vean bien hay que hacer algún apañito.

¿ Y vosotros qué ? ¿ Recomendaciones ? Y al contrario, gnomeros, ¿ usáis aplicaciones de KDE en Gnome ?

Unas semanillas atrás comentaba cómo en el blog del desarrollador de Iceweasel se habían colgado los paquetes sueltos .deb para la instalación de Iceweasel pre-experimental. Pues bien, ayer, después de unos diez días sin actualizaciones por un problema con los servidores entró, junto a otros paquetes, la nueva versión de Iceweasel 3.6.x (en este caso x=3).

Está disponible desde los repositorios experimentales, como podéis ver en la página de estado de paquetes. Así que ya sabéis, si queréis tenerlo, toca mezclar ramas (con experimental el proceso es análogo).

Resumiendo, descomentad o añadid un momento la rama experimental de vuestros repositorios y:

apt-get -t experimental install iceweasel

Uno de los desarrolladores de Iceweasel ha puesto a disposición de la comunidad debianita unos paquetes pre-experimentales poco antes de meterlos en los repositorios. Están a la espera de ser pulidos y de ver cómo se comportan realmente.

Los paquetes en cuestión los encontramos aquí, tanto para 32 como para 64 bits. Deberemos seguir el siguiente orden en la instalación de los .deb, para que se vayan cumpliendo correctamente las dependencias:

1. libmozjs

2. xulrunner

3. iceweasel

El resultado en mi caso es muy positivo, ningún problema de momento. Para los que tengáis algún tipo de problema, no debe de quedar mucho para la inclusión de estos paquetes en las ramas oficiales de Debian.

Ni que decir tiene que para instalar estos .debs procederemos como sigue:

  • nos situamos en la carpeta donde se encuentre el paquete descargado:

cd rutadelpaquete

  • instalamos el paquete:

dpkg -i  paquete.deb